package model

import (
	"time"
)

type TaAutoReply struct {
	AutoReplyId      string    `xorm:"not null pk VARCHAR(64)"`
	AutoType         string    `xorm:"VARCHAR(32)"`
	RuleName         string    `xorm:"VARCHAR(32)"`
	PairType         string    `xorm:"VARCHAR(32)"`
	MessageType      string    `xorm:"VARCHAR(32)"`
	MessageParagraph string    `xorm:"TEXT"`
	MessageImg       string    `xorm:"TEXT"`
	MessageContent   string    `xorm:"TEXT"`
	CreateDate       time.Time `xorm:"DATETIME"`
	Status           int       `xorm:"SMALLINT(6)"`
	OrgId            string    `xorm:"VARCHAR(64)"`
	KeyWords         string    `xorm:"TEXT"`
}
