package wechatmenu

import (
	"wechat-conf/models/wechatmenu"
	"wechat-conf/utils"
)

// WechatmenuServ 用户
type WechatmenuServ struct {
	ctx *utils.Context
	dao *wechatmenu.WechatMenuDAO
}

// NewWechatmenuServ 初始化
func NewWechatmenuServ(ctx *utils.Context) *WechatmenuServ {
	return &WechatmenuServ{
		ctx: ctx,
		dao: wechatmenu.NewWechatMenuDAO(ctx),
	}
}
